/* Newsletter Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 10000000;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    overflow: scroll;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto auto;
    height: 100% !important;
}

@media screen and (min-width: 992px) {
    .modal {
        overflow: hidden;
    }
}

.modal .modal-content {
    animation-name: animatetop;
    animation-duration: 1.4s;
    cursor: initial;
}

@keyframes animatetop {
    from {
        top: -300px;
        opacity: 0;
    }

    to {
        top: 0;
        opacity: 1;
    }
}

.modal .modal-content .close-newsletter-modal {
    position: absolute;
    top: 20px;
    right: 26px;
    padding: 3px 7px 3px 7px;
    z-index: 20000000;
    font-size: 40px;
    color: #000000;
}

@media screen and (min-width: 670px) {
    .modal .modal-content .close-newsletter-modal {
        right: calc(50% - 305px);
        top: 120px;
    }
}

@media screen and (max-height: 900px) {
    .modal .modal-content .close-newsletter-modal {
        top: 20px !important;
    }
}

.modal .modal-content .close-newsletter-modal:hover {
    cursor: pointer;
}

.modal .modal-content iframe {
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    outline: none !important;
    left: 0;
    right: 0;
    top: 0;
    margin: 0 auto;
    border: 20px #F4F4F4 solid !important;
}

@media screen and (min-width: 670px) {
    .modal .modal-content iframe {
        top: 100px;
        width: 650px !important;
        height: 505px !important;
    }
}

@media screen and (max-height: 900px) {
    .modal .modal-content iframe {
        top: 0 !important;
    }
}

.show-subscription-form {
    display: block !important;
    width: 100% !important;
}
